use warnings;
use strict;
use vars qw(%config);


%config = (
    Nick => "Erwin$$",
    #UseSSL => "1",
    Server => 'irc.homelien.no',
    Port => 6667,
    #Password => undef,
    #Username => undef, #If identd isn't running.
    Ircname => 'https://sourceforge.net/p/erwin',
    Channel => ['#erwindev'], #An arrayref of channels to join.
    #Channel_settings => {
        #'#crypt_test' => {
            #fish_prefix => '+OK ',
            #fish_key => 'lalalolohaha',
        #},
    #},
    #LocalAddr => 'hostname.com',
    PidFile => '/var/run/erwin/erwin.pid', #Path to pid of running Erwin process.
    LogFile => '/var/log/erwin/erwin.log', #Path to log file of runing Erwin process.
    DataDir => '/var/lib/erwin', #Directory containing variable files.
    LogLevel => 6, #Should not be lower than 3, which is errors. Warnings(4), Normal(5), Info(6), Debug(7).
    #ConfigFiles => ['foo.conf','bar.conf'], #You may use additional configuration files.
    #The last evaluated config file overrides the others.
    Modules => {
        Core => {
            Antiflood => 60, #Time in seconds to not write the same text the same place.
            cron_interval => 120,
            privmsg => {
                Antiflood => 60,
            },
        #'#channel' => {
        #Antiflood => 300,
        #},
        },
        Users => {
            Public => 0 #Set to 0 to deny !register.
        },
        Facts => {
            #Tweak this to your database settings.
            #Note that you can have multiple database sources.
            keyword_length => 50, #Remember to update the schemes if you
                fact_length => 455,   #change these.
                driver => 'Pg', #'Pg' or 'mysql'. (Case sensitive)
                database => 'database',
                #database => 'erwinuser;hostname=foo.com;port=1234',
                # See perldoc DBD::Pg and DBD::mysql for additional options.
                username => 'username',
                password => 'password',
                table => 'facts',
                #'#channel' => {
                    #same driver, username and password.
                    #database => 'erwin',
                    #table => 'facts'
                #},
                #'#channel2' => {
                    #A completely different database source.
                    #driver => 'mysql',
                    #database => 'erwin',
                    #username => 'erwin',
                    #password => 'schmerwin',
                #},
        },
        Calc => {}, #No configuration options yet.
        Misc => {},
        #Nickspam => {
            #NickSpam is case changes in the nickname to emulate a sort of public away.
            #If a user does so, inform him that he's violating the rules and inform how many
            #times he has been warned.
            #expire => 3600 * 24 * 28, #Expire warning count after a month. Only global!
            #'#channel' => 1, #Channel in which nickspam is prohibited
        #}, #Nickspam
    }, #Modules

    Regexes => [
        #Examples: Consult documentation for more information. Remember to load Modules in Modules first.
        {
            regex => gettext('^!test$'),
            sub => 'Misc::Test',
        },
        {
            regex => gettext('^!time$'),
            sub => 'Misc::Time',
        },
        {
            regex => 'hey',
            content => '$WHO: yo!',
        },
    ], #Regexes.

);
