#!/usr/bin/perl
use GDBM_File;
use Getopt::Long;

use strict;

my $filename = "var/stopwords";
my $erase = 0;

GetOptions(
   'file|f:s', \$filename,
   'erase!', \$erase,                                                                                                                   
);

$|++;

my %stopwords;
tie %stopwords, 'GDBM_File', "var/stopwords", GDBM_WRCREAT, 0640;
if($erase) {
   print "Erasing old stopwords... ";
   %stopwords = ();
   print "Done.\n";
}

print "Adding new stopwords... ";
my $x = 0;
while(<>) {
   chomp;
   next if($stopwords{$_} || $_ !~ /\w/);
   $x++;
   $stopwords{$_} = 1;
}
print "Done.\n";

my $total = (keys %stopwords) + 1;
print "$x stopwords added. $total stopwords in database.\n";
